## lsp-tree-sitter 0.0.18

=== requirements.txt ===
#!/usr/bin/env -S pip install -r

colorama
jinja2
jsonschema >= 4.0.0
pygls
tree-sitter >= 0.24.0

=== docs/requirements.txt ===
#!/usr/bin/env -S pip install -r

-e .
myst-parser
sphinxcontrib-autofile
sphinxcontrib-requirements-txt

=== template/requirements.txt ===
#!/usr/bin/env -S pip install -r

lsp-tree-sitter
tree-sitter-{{ language }}

=== debian/changelog ===
lsp-tree-sitter (0.0.18-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1115179)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 13 Sep 2025 00:31:31 -0400

=== debian/control ===
Source: lsp-tree-sitter
Section: python
Priority: optional
Maintainer: Tree-sitter Team <team+tree-sitter@tracker.debian.org>
Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-colorama,
 python3-jinja2,
 python3-pygls,
 python3-py-tree-sitter,
 python3-pytest-cov <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/neomutt/lsp-tree-sitter
Vcs-Browser: https://salsa.debian.org/tree-sitter-team/lsp-tree-sitter
Vcs-Git: https://salsa.debian.org/tree-sitter-team/lsp-tree-sitter.git

Package: python3-lsp-tree-sitter
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Python library to create language servers (Python 3)
 A Python library that can be used to create language servers.
 .
 For more information, visit the official repository at
 <https://github.com/neomutt/lsp-tree-sitter/>.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = lsp-tree-sitter

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS='cd {build_dir}; {interpreter} -m pytest --cov' \
	dh_auto_test

# Don't build documentation because Debian doesn't ship all the
# necessary sphinxcontrib packages yet.

=== debian/watch ===
Version: 5

Template: Github
Owner: neomutt
Project: lsp-tree-sitter
